Loading...
Searching...
No Matches
Halide::Internal::StringImm Struct Reference

String constants. More...

`#include <Expr.h>`

Inheritance diagram for Halide::Internal::StringImm:

## Static Public Member Functions

static const StringImm * | make (const std::string &val)

## Public Attributes

std::string | value
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes

static const IRNodeType | _node_type = IRNodeType::StringImm

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::ExprNode< StringImm >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

String constants.

Definition at line 245 of file Expr.h.

## Member Function Documentation

## make()

const StringImm * Halide::Internal::StringImm::make | ( | const std::string & | val | ) |

static

## Member Data Documentation

## value

std::string Halide::Internal::StringImm::value

Definition at line 246 of file Expr.h.

## _node_type

const IRNodeType Halide::Internal::StringImm::_node_type = IRNodeType::StringImm

static

Definition at line 250 of file Expr.h.

The documentation for this struct was generated from the following file:

- src/Expr.h